Bug 108109 - Make WebDevSupport.getCurrentRequest() public
Make WebDevSupport.getCurrentRequest() public
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-27 13:13 EST by Daniel Berrange
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:24:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-10-27 13:13:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
The developer support package provides hooks to record alot of information that
is useful for debugging. This is made available through the /ds/ pages. There
are, however, use cases for making it available in other places, most notably,
inline with the XML generated for the request itself. For this to be possible,
either the application delivering the XML must re-implement alot of the code
currently in the web-devsupport package, or preferrably access the existing
records directly. Ideally many of the classes in web-devsupport would be moved
into dev-support to act as a 'generic base/ implementation' for applications to
call, but given the short time frame until Oct 30th, we can simply make
WebDevSupport.getCurrentRequest() public.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try and get the developer support record for the current request
2.
3.
    

Additional info:
Comment 1 Daniel Berrange 2006-09-02 13:24:52 EDT
Closing oldtickets

Note You need to log in before you can comment on or make changes to this bug.